getQuoteByExternalId
READGet quote by external id.
POST /api/v1/sales/getQuoteByExternalId
curl -X POST '<your-host>/api/v1/sales/getQuoteByExternalId' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"externalId": "string"
}'Response
{
"assignee": "string",
"companyId": "string",
"completedDate": "string",
"createdAt": "string",
"createdBy": "string",
"currencyCode": "string",
"customerContactId": "string",
"customerEngineeringContactId": "string",
"customerId": "string",
"customerLocationId": "string",
"customerReference": "string",
"customFields": "…",
"digitalQuoteAcceptedBy": "string",
"digitalQuoteAcceptedByEmail": "string",
"digitalQuoteRejectedBy": "string",
"digitalQuoteRejectedByEmail": "string",
"dueDate": "string",
"estimatorId": "string",
"exchangeRate": 0,
"exchangeRateUpdatedAt": "string",
"expirationDate": "string",
"externalLinkId": "string",
"externalNotes": "…",
"id": "string",
"internalNotes": "…",
"locationId": "string",
"opportunityId": "string",
"quoteId": "string",
"revisionId": 0,
"salesPersonId": "string",
"status": "Cancelled",
"tags": [
"string"
],
"updatedAt": "string",
"updatedBy": "string"
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"externalId": {
"type": "string"
}
},
"required": [
"externalId"
]
}